

<router-outlet></router-outlet>
<div style="padding: 20px;">
  <div>
    Il tuo punteggio : {{punteggio}}
  </div>
  <mat-card class="result">
    <mat-card-content>
      <h2 class="example-h2">Calcolo del MCD</h2>
      <div class="wrapper">
      <mat-form-field class="example-margin">
        <input matInput type="number" min="0" placeholder="Value" [formControl]="form.get('val1')">
      </mat-form-field>

      <mat-form-field class="example-margin">
        <input matInput type="number" min="0" placeholder="Value" [formControl]="form.get('val2')">
      </mat-form-field>

      <mat-form-field class="example-margin">
        <input matInput type="number" min="0" placeholder="MCD" [formControl]="form.get('mcd')">
      </mat-form-field>

      <div class="wrapButton">
        <button mat-raised-button color="accent" style="height: 30px;" (click)="submit()" [disabled]="!form.valid">Conferma</button>
      </div>

    <div class="wrapButton">
      <button style="max-height: 30px;max-width: 30px;" mat-raised-button color="accent"  [disabled]="!showInfo"  (click)="showFactorizations()" >
      <span class="material-icons">
        help_outline
        </span>
      </button>
  </div>    
    </div>
    </mat-card-content>
  </mat-card>
</div>

<div id="factorizations" *ngIf="showFact" style="padding: 20px;">

<div>
  Scomponendo in fattori {{ form.get('val1').value }} otteniamo: 
  <span *ngFor="let item of fact_val1;  index as i">
    <var>{{item.value}} <sup>{{item.esp}}</sup></var> <ng-container *ngIf="i < fact_val1.length -1"> * </ng-container> 
  </span>

</div>

<div>
  Scomponendo in fattori  {{ form.get('val2').value }} otteniamo: 
  <span *ngFor="let item of fact_val2;  index as i">
    <var>{{item.value}} <sup>{{item.esp}}</sup></var> <ng-container *ngIf="i < fact_val2.length -1"> * </ng-container>
</span>
</div>
<div>
  Fattorizzazione Risultato: si moltiplicano i fattori comuni con esponente minore
  <span *ngFor="let item of mcd_fact | keyvalue">
    <var>{{item.key}} <sup>{{item.value}}</sup></var> 
</span>
</div>
</div>